tttk_message_fail(library call)

NAME
tttk_message_fail — fail a message

SYNOPSIS

#include &<Tt/tttk.h>
Tt_status tttk_message_fail(
Tt_message msg,
Tt_status status,
const char *status_string,
int destroy);

DESCRIPTION

The tttk_message_fail function sets the status and status string of the TT_REQUEST msg, fails msg, and then destroys msg if destroy is True.

RETURN VALUE

Upon successful completion, the tttk_message_fail function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NOTHANDLER
    This application is not the handler for this message.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tttk.h - Tttttk(5), tt_message_fail(3), tttk_message_abandon(3), tttk_message_reject(3).